# pylint: skip-file
# Copyright (C) 2015, 2016, 2017 Cumulus Networks, Inc. All rights reserved
#
# This software is subject to the Cumulus Networks End User License Agreement available
# at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

import requests

from restapi.apps.evo.system import Quagga
from tests.test_base import MyTestBase


class SystemTests(MyTestBase):

    def __init__(self, *args, **kwargs):
        super(SystemTests, self).__init__(*args, **kwargs)

    def test_onieversion(self):
        self._url = self.reversed('onieVersion')
        self._response = requests.get(self._url)

    def test_eeprom(self):
        self._url = self.reversed('eEprom')
        self._response = requests.get(self._url)

    def test_vtysh(self):
        self._url = self.reversed('quaggaVtysh')
        self._response = requests.get(self._url)

    def test_quagga(self):
        self._url = self.reversed('quagga')
        self._response = requests.post(self._url, data={
            'action': Quagga.ACTION_RESTART
        })

    def test_monctl(self):
        self._url = self.reversed('monCtl')
        self._response = requests.get(self._url)

    def test_climgselect(self):
        self._url = self.reversed('clImg')
        self._response = requests.get(self._url)
